package cn.bunny.common.service.context;

public class BaseContext {
    private static final ThreadLocal<Long> userId = new ThreadLocal<>();
    private static final ThreadLocal<String> username = new ThreadLocal<String>();
    private static final ThreadLocal<Long> wareId = new ThreadLocal<>();
    private static final ThreadLocal<Long> adminId = new ThreadLocal<>();

    // 用户id相关
    public static Long getUserId() {
        return userId.get();
    }

    public static void setUserId(Long _userId) {
        userId.set(_userId);
    }

    public static void removeUserId() {
        userId.remove();
    }

    public static String getUsername() {
        return username.get();
    }

    public static void setUsername(String _username) {
        username.set(_username);
    }

    // adminId 相关
    public static Long getAdminId() {
        return adminId.get();
    }

    public static void setAdminId(Long _adminId) {
        adminId.set(_adminId);
    }

    public static void removeAdminId() {
        adminId.remove();
    }
}