package cn.bunny.service.service;


import cn.bunny.entity.email.EmailSend;

public interface EmailService {
    /**
     * 发送邮件-简单
     *
     * @param emailSend 邮件消息
     */
    void sendSimpleEmail(EmailSend emailSend);

    /**
     * 发送带附件邮件
     *
     * @param emailSend 邮件消息
     * @return 是否成功
     */
    boolean sendAttachmentEmail(EmailSend emailSend);

    /**
     * 发送富文本邮件
     *
     * @param emailSend 邮件消息
     * @return 是否成功
     */
    boolean sendRich(EmailSend emailSend);

    /**
     * 发送带抄送的邮件
     *
     * @param emailSend 邮件消息
     * @return 是否成功
     */
    boolean sendCC(EmailSend emailSend);
}
